So basically i was using 1.1.1 with jailbreak and everything was fine, but decided to use jailbroken 1.1.2 but began getting way too many crashes. so i wanted to just use jailbroken 1.1.1 again.

I've read the guides and can get to a jailbroken 1.1.1 fine, but before i upgraded to 1.1.2 i was able to do a regular restore to 1.1.1 firmware without problems to start fresh again and wouldnt get any errors. now, even though im using 1.1.1, im unable to do a 1.1.1 firmware restore. i get that 1015 error.

I dont use any unlocking. All i want to do is have 1.1.1 like i received it when i first purchased the phone, and to be able to restore back to stock 1.1.1 whenever i like.

help?